FORT Robotics logoFORT Robotics logoFORT Manager API
  • Getting Started
  • Examples
  • Concepts
  • CLI V2
  • API v1 Reference
ApiKeys
    Retrieves keys for an organization.getUpdate the role of the service account associated with a given key nameputValidates an API key for the specified organization.post
Configurations
    Search an organization's configurationsgetCreate a device configurationpostGet a configuration by idgetDelete a configurationdeleteUpdate a configurationpatchGet the current status of a configuration, whether it's complete or has any validation errors.getAdd a device to a configurationpostDelete a device from a configurationdeleteUpdate a device on a configurationpatch
Devices
    Search devicesgetRegister a devicepostUpdate a devicepatchGet the latest firmware by device serial numbergetGets the latest firmware by a specific device type.getGet a device's configurationget
IpNetworkTemplates
    Get IP network templates for an organization. You can search by template name, interface type, as well as sort the list.getCreates a new IP network template for a given comm interface in the current organization.postGet an IP network template by IDget
Users
    Get all usersgetRegister a userpostGet a user by idgetDelete a userdeleteUpdate role for a userpatch
Versions
    Retrieves the current version of the API.get
Schemas
powered by Zudoku
Pro Series API

Users

Endpoint:https://platform.fortrobotics.com

User Management.


Get all users

GET
https://platform.fortrobotics.com
/v1/organizations/{orgId}/users

Get all users › path Parameters

  • orgIdstring · required

    The id of the organization.

Get all users › query Parameters

  • IsActiveboolean

    Set to true to filter only active users, false for inactive and do not set to see all users

  • Searchstring

    Search text to filter the users by name and email

  • SortOptionsstring · enum

    How to sort the list

    Enum values:
    FirstNameASC
    FirstNameDESC
    LastActivityASC
    LastActivityDESC
  • limitinteger · int32

    The number of records to return. Max 30.

  • pageinteger · int32

    The page offset when fetching the records

Get all users › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Get all users › Responses

Success

  • dataobject
  • successboolean
  • errorsarray | null
GET /v1/organizations/{orgId}/users

Register a user

POST
https://platform.fortrobotics.com
/v1/organizations/{orgId}/users

Register a user › path Parameters

  • orgIdstring · required

    The id of the organization.

Register a user › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Register a user › Request Body

  • emailstring | null

    The user's email

  • userRolestring · enum
    Enum values:
    Operator
    DeviceManager
    ConfigManager
    Admin

Register a user › Responses

Success

  • databoolean
  • successboolean
  • errorsarray | null
POST /v1/organizations/{orgId}/users

Get a user by id

GET
https://platform.fortrobotics.com
/v1/organizations/{orgId}/users/{id}

Get a user by id › path Parameters

  • idstring · uuid · required

    The user's id

    The user id

  • orgIdstring · required

    The id of the organization.

Get a user by id › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Get a user by id › Responses

Success

  • dataobject
  • successboolean
  • errorsarray | null
GET /v1/organizations/{orgId}/users/{id}

Delete a user

DELETE
https://platform.fortrobotics.com
/v1/organizations/{orgId}/users/{id}

Delete a user › path Parameters

  • idstring · uuid · required

    The user id to delete

    The user id

  • orgIdstring · required

    The id of the organization.

Delete a user › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Delete a user › Responses

Success

  • databoolean
  • successboolean
  • errorsarray | null
DELETE /v1/organizations/{orgId}/users/{id}

Update role for a user

PATCH
https://platform.fortrobotics.com
/v1/organizations/{orgId}/users/{id}/role

Update role for a user › path Parameters

  • idstring · uuid · required

    The user id

    The user id

  • orgIdstring · required

    The id of the organization.

Update role for a user › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Update role for a user › Request Body

string · enum
Enum values:
Operator
DeviceManager
ConfigManager
Admin

Update role for a user › Responses

Success

  • databoolean
  • successboolean
  • errorsarray | null
PATCH /v1/organizations/{orgId}/users/{id}/role

IpNetworkTemplatesVersions